///////////////////////////////////////////////////////////////////////////////
//                                                         
// BigDecTest.cc
// -------------
// BigDecimal class test module
//                                               
// Design and Implementation by Bjoern Lemke               
//                                                         
// (C)opyright 1996 by Bjoern Lemke                        
//
//
///////////////////////////////////////////////////////////////////////////////


#include "../src/Exception.h"
#include "../src/BigDecimal.h"

int main(int argc, char **argv)
{

    
    int numCheck = 5;
    int checkCount = 1;
    
    try {
	
	
	cout << "1.." << numCheck << endl;
	
	BigDecimal d1("179.97");
	BigDecimal d2("120.11");
	BigDecimal d3("13.0");
	BigDecimal d4("4.987");      
	BigDecimal d5("16.987");
	
	if ( d2 < d1 )
	    cout << "ok " << checkCount << " - operator <" << endl;
	else
	    cout << "not ok " << checkCount << " - operator <" << endl;
	checkCount++;


	if ( d4 < d3 )
	    cout << "ok " << checkCount << " - operator <" << endl;
	else
	    cout << "not ok " << checkCount << " - operator <" << endl;
	checkCount++;

	if ( d3 < d2 )
	    cout << "ok " << checkCount << " - operator <" << endl;
	else
	    cout << "not ok " << checkCount << " - operator <" << endl;
	checkCount++;

	if ( d3 < d5 )
	    cout << "ok " << checkCount << " - operator <" << endl;
	else
	    cout << "not ok " << checkCount << " - operator <" << endl;
	checkCount++;

	
       
	BigDecimal dsub = d1.sub(d2);
	
	if (  dsub.toChain() == Chain("59.86") )
	    cout << "ok " << checkCount << " - sub" << endl;
	else
	    cout << "not ok " << checkCount << " - sub <" << endl;
	checkCount++;
	    
	
	// d2 = d1.mulDigit(7);
	
	// cout << d3 <<  endl;
    }
    catch (Exception e)
    {

	Chain msg;
	e.pop(msg);
	cout << "not ok " << checkCount << " - " << msg << endl;
	return 1;
    }

    return 0;

}

